﻿using PlumbingRepairDataModels.Enums;
using PlumbingRepairDataModels.Models;

namespace PlumbingRepairContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int Id { get; set; }
        public int WorkId { get; set; }
        public int ClientId { get; set; }
		public int? ImplementerId { get; set; }
		public int Count { get; set; }
        public double Sum { get; set; }
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;
        public DateTime DateCreate { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);
        public DateTime? DateImplement { get; set; }
        public string WorkName { get; set; } = string.Empty;
    }
}
