﻿using PlumbingRepairDataModels.Models;
using System.ComponentModel;

namespace PlumbingRepairContracts.ViewModels
{
    public class WorkViewModel : IWorkModel
    {
        public int Id { get; set; }
        [DisplayName("Название Работы")]
        public string WorkName { get; set; } = string.Empty;
        [DisplayName("Цена")]
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> WorkComponents { get; set; } = new();
    }
}
